Customers
Users Addresses Retrieve
Retrieve an address of an existing customer.
Authorization
oauth2 users:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:read
Path Parameters
id*integer
A unique integer value identifying this User address.
addressId*integer
A unique integer value identifying this User address.
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/users/0/addresses/0/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer "{
"country": "string",
"first_name": "string",
"id": 0,
"is_default_for_billing": true,
"is_default_for_shipping": true,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"notes": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
}